'use strict';

var pluginEventsNode = require('@backstage/plugin-events-node');

class GithubEventRouter extends pluginEventsNode.SubTopicEventRouter {
  constructor(options) {
    super({
      events: options.events,
      topic: "github"
    });
  }
  getSubscriberId() {
    return "GithubEventRouter";
  }
  determineSubTopic(params) {
    return params.metadata?.["x-github-event"];
  }
}

exports.GithubEventRouter = GithubEventRouter;
//# sourceMappingURL=GithubEventRouter.cjs.js.map
